ru.bitel.bgbilling.modules.inet.api.common.service

## Interface InetServService

-     public interface InetServService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `authorizationRequest(int contractId, int servId, boolean accountingPeriodActivate, long timeout)`
    `byte[]` | `inetGetIpFromParent(InetServ serv)`
    `void` | `inetOptionDelete(int id)`
    `InetOption` | `inetOptionGet(int id)`
    `java.util.List<InetOption>` | `inetOptionList()`
    `void` | `inetOptionMove(int newParentId, java.util.Set<java.lang.Integer> ids)`
    `InetOption` | `inetOptionTree()`
    `int` | `inetOptionUpdate(InetOption b)`
    `void` | `inetServDelete(int id)` Deprecated.
    `void` | `inetServDelete(int id, boolean force)` Удаление сервиса договора по его ID.
    `InetServ` | `inetServGet(int inetServId)` Получение сервиса (аккаунта) договора по его ID.
    `void` | `inetServIsActive(InetServ inetServ)`
    `java.util.List<InetServ>` | `inetServList(int contractId)` Deprecated. Use {@link #inetServList(int, String) instead
    `java.util.List<InetServ>` | `inetServList(int contractId, java.lang.String orderBy)` Получение списка сервисов определенного договора с возможностью сортировки списка.
    `java.lang.String` | `inetServLoginGenerate()`
    `void` | `inetServMove(InetServ inetServ, int cidTo)`
    `java.util.List<InetServOption>` | `inetServOptionList(int inetServId)`
    `java.lang.String` | `inetServPasswordGenerate(int inetServTypeId)`
    `java.util.List<InetServRestriction>` | `inetServRestrictionList(int inetServId)` Deprecated.
    `java.util.List<InetServRestriction>` | `inetServRestrictionList(int contractId, int inetServId)`
    `void` | `inetServRestrictionListUpdate(int contractId, int inetServId, java.util.List<InetServRestriction> restrictionList)`
    `void` | `inetServRestrictionListUpdate(int inetServId, java.util.List<InetServRestriction> restrictionList)` Deprecated.
    `void` | `inetServSaReinit(int id)`
    `void` | `inetServStateModify(int inetServId, short state, int accessCode)`
    `InetServ` | `inetServTree(int contractId)` Получение дерева сервисов (аккаунтов) договора.
    `void` | `inetServTypeDelete(int id)` Удаление типа сервиса.
    `InetServType` | `inetServTypeGet(int id)` Получение типа сервиса по его ID.
    `java.util.List<InetServType>` | `inetServTypeList()` Получение списка типов сервиса.
    `int` | `inetServTypeUpdate(InetServType b)` Создание/обновление типа сервиса.
    `int` | `inetServUpdate(InetServ inetServ, java.util.List<InetServOption> optionList, boolean generateLogin, boolean generatePassword, long saWaitTimeout)` Создание/обновление сервиса договора.
    `void` | `inetServWrap(InetServ inetServ, int cidTo, java.util.Date date)`
    `java.util.List<java.lang.Integer>` | `ipResourceCategoryIds(int deviceId, int interfaceId, int serviceTypeId)`
    `java.lang.String` | `ipResourceLinkCheck()`
    `void` | `ipResourceLinkSet()`
    `java.util.List<InetServ>` | `searchInetServ(java.lang.String login, IpRange ip, int serviceTypeId, int vlan, java.lang.String title, java.lang.String identifier, java.lang.String macAddress, boolean loginStrictCheck)`
    `void` | `trafficTypeDelete(int id)`
    `TrafficType` | `trafficTypeGet(int id)`
    `void` | `trafficTypeLinkDelete(int id)`
    `TrafficTypeLink` | `trafficTypeLinkGet(int id)`
    `java.util.List<TrafficTypeLink>` | `trafficTypeLinkList()`
    `int` | `trafficTypeLinkUpdate(TrafficTypeLink b)`
    `java.util.List<TrafficType>` | `trafficTypeList()`
    `int` | `trafficTypeUpdate(TrafficType b)`
    `int` | `vlanResourceCategoryId(int deviceId)` Deprecated.
    `java.util.Set<java.lang.Integer>` | `vlanResourceCategoryIds(int deviceId)`

- - ### Method Detail

    - #### inetServTypeGet

          InetServType inetServTypeGet(int id)
                                throws ru.bitel.bgbilling.common.BGException,
                                       ru.bitel.bgbilling.common.BGMessageException,
                                       ru.bitel.bgbilling.common.BGIllegalArgumentException

      Получение типа сервиса по его ID.
      Parameters:
        `id` - ID типа сервиса.
      Returns:
        тип сервиса.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServTypeList

          java.util.List<InetServType> inetServTypeList()
                                                 throws ru.bitel.bgbilling.common.BGException,
                                                        ru.bitel.bgbilling.common.BGMessageException,
                                                        ru.bitel.bgbilling.common.BGIllegalArgumentException

      Получение списка типов сервиса.
      Returns:
        список типов сервиса.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServTypeUpdate

          int inetServTypeUpdate(InetServType b)
                          throws ru.bitel.bgbilling.common.BGException,
                                 ru.bitel.bgbilling.common.BGMessageException,
                                 ru.bitel.bgbilling.common.BGIllegalArgumentException

      Создание/обновление типа сервиса.
      Parameters:
        `b` - обновляемый тип сервиса, если id<=0, то создается новый.
      Returns:
        ID созданного/обновленного типа сервиса.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServTypeDelete

          void inetServTypeDelete(int id)
                           throws ru.bitel.bgbilling.common.BGException,
                                  ru.bitel.bgbilling.common.BGMessageException,
                                  ru.bitel.bgbilling.common.BGIllegalArgumentException

      Удаление типа сервиса. Если в БД есть сервисы данного типа, то будет брошен BGMessageException.
      Parameters:
        `id` - ID типа сервиса.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServGet

          InetServ inetServGet(int inetServId)
                        throws ru.bitel.bgbilling.common.BGException,
                               ru.bitel.bgbilling.common.BGMessageException,
                               ru.bitel.bgbilling.common.BGIllegalArgumentException

      Получение сервиса (аккаунта) договора по его ID.
      Parameters:
        `inetServId` - ID сервиса.
      Returns:
        сервис договора.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServList

          @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.InetServListOldRequest")
           @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.InetServListOldResponse")
           @Deprecated
          java.util.List<InetServ> inetServList(int contractId)
                                                                                                                                                                                                                                                                                   throws ru.bitel.bgbilling.common.BGException,
                                                                                                                                                                                                                                                                                          ru.bitel.bgbilling.common.BGMessageException,
                                                                                                                                                                                                                                                                                          ru.bitel.bgbilling.common.BGIllegalArgumentException

      Deprecated. Use {@link #inetServList(int, String) instead
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServList

          java.util.List<InetServ> inetServList(int contractId,
                                                java.lang.String orderBy)
                                         throws ru.bitel.bgbilling.common.BGException,
                                                ru.bitel.bgbilling.common.BGMessageException,
                                                ru.bitel.bgbilling.common.BGIllegalArgumentException

      Получение списка сервисов определенного договора с возможностью сортировки списка.
      Parameters:
        `contractId` - код договора.
        `orderBy` - строка с параметрами сортировки. Используется в sql-выражении order by по полям таблицы inet_serv_-MID-. Если сортировка не требуется, то в данный метод можно передать null.
      Returns:
        список сервисов договора.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServTree

          InetServ inetServTree(int contractId)
                         throws ru.bitel.bgbilling.common.BGException,
                                ru.bitel.bgbilling.common.BGMessageException,
                                ru.bitel.bgbilling.common.BGIllegalArgumentException

      Получение дерева сервисов (аккаунтов) договора.
      Parameters:
        `contractId` - ID договора
      Returns:
        дерево сервисов договора, корень данного дерева - фиктивный сервис с ID=0.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServUpdate

          int inetServUpdate(InetServ inetServ,
                             java.util.List<InetServOption> optionList,
                             boolean generateLogin,
                             boolean generatePassword,
                             long saWaitTimeout)
                      throws ru.bitel.bgbilling.common.BGException,
                             ru.bitel.bgbilling.common.BGMessageException,
                             ru.bitel.bgbilling.common.BGIllegalArgumentException

      Создание/обновление сервиса договора.
      Parameters:
        `inetServ` - сервис (аккаунт) договора.
        `optionList` - список статических опций.
        `generateLogin` - нужно ли генерировать логин (или использовать тот, что в переданном объекте inetServ).
        `generatePassword` - нужно ли генерировать пароль (или использовать тот, что в переданном объекте inetServ).
        `saWaitTimeout` -
      Returns:
        ID созданного/обновленного сервиса договора.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServDelete

          @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.InetServDeleteOldRequest")
           @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.InetServDeleteOldResponse")
           @Deprecated
          void inetServDelete(int id)
                                                                                                                                                                                                                                                                     throws ru.bitel.bgbilling.common.BGException,
                                                                                                                                                                                                                                                                            ru.bitel.bgbilling.common.BGMessageException,
                                                                                                                                                                                                                                                                            ru.bitel.bgbilling.common.BGIllegalArgumentException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServDelete

          void inetServDelete(int id,
                              boolean force)
                       throws ru.bitel.bgbilling.common.BGException,
                              ru.bitel.bgbilling.common.BGMessageException,
                              ru.bitel.bgbilling.common.BGIllegalArgumentException

      Удаление сервиса договора по его ID.
      Parameters:
        `id` - ID сервиса договора.
        `force` - если true - то принудительное удаление договора, без проверки на период и активные сессии.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServIsActive

          void inetServIsActive(InetServ inetServ)
                         throws ru.bitel.bgbilling.common.BGException,
                                ru.bitel.bgbilling.common.BGMessageException,
                                ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServStateModify

          void inetServStateModify(int inetServId,
                                   short state,
                                   int accessCode)
                            throws ru.bitel.bgbilling.common.BGException,
                                   ru.bitel.bgbilling.common.BGMessageException,
                                   ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServLoginGenerate

          java.lang.String inetServLoginGenerate()
                                          throws ru.bitel.bgbilling.common.BGException,
                                                 ru.bitel.bgbilling.common.BGMessageException,
                                                 ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServPasswordGenerate

          java.lang.String inetServPasswordGenerate(int inetServTypeId)
                                             throws ru.bitel.bgbilling.common.BGException,
                                                    ru.bitel.bgbilling.common.BGMessageException,
                                                    ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServWrap

          void inetServWrap(InetServ inetServ,
                            int cidTo,
                            java.util.Date date)
                     throws ru.bitel.bgbilling.common.BGException,
                            ru.bitel.bgbilling.common.BGMessageException,
                            ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServMove

          void inetServMove(InetServ inetServ,
                            int cidTo)
                     throws ru.bitel.bgbilling.common.BGException,
                            ru.bitel.bgbilling.common.BGMessageException,
                            ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetOptionGet

          InetOption inetOptionGet(int id)
                            throws ru.bitel.bgbilling.common.BGException,
                                   ru.bitel.bgbilling.common.BGMessageException,
                                   ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetOptionList

          java.util.List<InetOption> inetOptionList()
                                             throws ru.bitel.bgbilling.common.BGException,
                                                    ru.bitel.bgbilling.common.BGMessageException,
                                                    ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetOptionTree

          InetOption inetOptionTree()
                             throws ru.bitel.bgbilling.common.BGException,
                                    ru.bitel.bgbilling.common.BGMessageException,
                                    ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetOptionUpdate

          int inetOptionUpdate(InetOption b)
                        throws ru.bitel.bgbilling.common.BGException,
                               ru.bitel.bgbilling.common.BGMessageException,
                               ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetOptionDelete

          void inetOptionDelete(int id)
                         throws ru.bitel.bgbilling.common.BGException,
                                ru.bitel.bgbilling.common.BGMessageException,
                                ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetOptionMove

          void inetOptionMove(int newParentId,
                              java.util.Set<java.lang.Integer> ids)
                       throws ru.bitel.bgbilling.common.BGException,
                              ru.bitel.bgbilling.common.BGMessageException,
                              ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### trafficTypeGet

          TrafficType trafficTypeGet(int id)
                              throws ru.bitel.bgbilling.common.BGException,
                                     ru.bitel.bgbilling.common.BGMessageException,
                                     ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### trafficTypeList

          java.util.List<TrafficType> trafficTypeList()
                                               throws ru.bitel.bgbilling.common.BGException,
                                                      ru.bitel.bgbilling.common.BGMessageException,
                                                      ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### trafficTypeUpdate

          int trafficTypeUpdate(TrafficType b)
                         throws ru.bitel.bgbilling.common.BGException,
                                ru.bitel.bgbilling.common.BGMessageException,
                                ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### trafficTypeDelete

          void trafficTypeDelete(int id)
                          throws ru.bitel.bgbilling.common.BGException,
                                 ru.bitel.bgbilling.common.BGMessageException,
                                 ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### trafficTypeLinkGet

          TrafficTypeLink trafficTypeLinkGet(int id)
                                      throws ru.bitel.bgbilling.common.BGException,
                                             ru.bitel.bgbilling.common.BGMessageException,
                                             ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### trafficTypeLinkList

          java.util.List<TrafficTypeLink> trafficTypeLinkList()
                                                       throws ru.bitel.bgbilling.common.BGException,
                                                              ru.bitel.bgbilling.common.BGMessageException,
                                                              ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### trafficTypeLinkUpdate

          int trafficTypeLinkUpdate(TrafficTypeLink b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    ru.bitel.bgbilling.common.BGMessageException,
                                    ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### trafficTypeLinkDelete

          void trafficTypeLinkDelete(int id)
                              throws ru.bitel.bgbilling.common.BGException,
                                     ru.bitel.bgbilling.common.BGMessageException,
                                     ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServOptionList

          java.util.List<InetServOption> inetServOptionList(int inetServId)
                                                     throws ru.bitel.bgbilling.common.BGException,
                                                            ru.bitel.bgbilling.common.BGMessageException,
                                                            ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServRestrictionList

          @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.InetServRestrictionListOldRequest")
           @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.InetServRestrictionListOldResponse")
           @Deprecated
          java.util.List<InetServRestriction> inetServRestrictionList(int inetServId)
                                                                                                                                                                                                                                                                                                                               throws ru.bitel.bgbilling.common.BGException,
                                                                                                                                                                                                                                                                                                                                      ru.bitel.bgbilling.common.BGMessageException,
                                                                                                                                                                                                                                                                                                                                      ru.bitel.bgbilling.common.BGIllegalArgumentException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServRestrictionList

          java.util.List<InetServRestriction> inetServRestrictionList(int contractId,
                                                                      int inetServId)
                                                               throws ru.bitel.bgbilling.common.BGException,
                                                                      ru.bitel.bgbilling.common.BGMessageException,
                                                                      ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServRestrictionListUpdate

          @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.InetServRestrictionListUpdateOldRequest")
           @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.InetServRestrictionListUpdateOldResponse")
           @Deprecated
          void inetServRestrictionListUpdate(int inetServId,
                                                                                                                                                                                                                                                                                                                         java.util.List<InetServRestriction> restrictionList)
                                                                                                                                                                                                                                                                                                                  throws ru.bitel.bgbilling.common.BGException,
                                                                                                                                                                                                                                                                                                                         ru.bitel.bgbilling.common.BGMessageException,
                                                                                                                                                                                                                                                                                                                         ru.bitel.bgbilling.common.BGIllegalArgumentException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServRestrictionListUpdate

          void inetServRestrictionListUpdate(int contractId,
                                             int inetServId,
                                             java.util.List<InetServRestriction> restrictionList)
                                      throws ru.bitel.bgbilling.common.BGException,
                                             ru.bitel.bgbilling.common.BGMessageException,
                                             ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### vlanResourceCategoryId

          @Deprecated
          int vlanResourceCategoryId(int deviceId)
                                          throws ru.bitel.bgbilling.common.BGException,
                                                 ru.bitel.bgbilling.common.BGMessageException,
                                                 ru.bitel.bgbilling.common.BGIllegalArgumentException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### vlanResourceCategoryIds

          java.util.Set<java.lang.Integer> vlanResourceCategoryIds(int deviceId)
                                                            throws ru.bitel.bgbilling.common.BGException,
                                                                   ru.bitel.bgbilling.common.BGMessageException,
                                                                   ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### ipResourceCategoryIds

          java.util.List<java.lang.Integer> ipResourceCategoryIds(int deviceId,
                                                                  int interfaceId,
                                                                  int serviceTypeId)
                                                           throws ru.bitel.bgbilling.common.BGException,
                                                                  ru.bitel.bgbilling.common.BGMessageException,
                                                                  ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### searchInetServ

          java.util.List<InetServ> searchInetServ(java.lang.String login,
                                                  IpRange ip,
                                                  int serviceTypeId,
                                                  int vlan,
                                                  java.lang.String title,
                                                  java.lang.String identifier,
                                                  java.lang.String macAddress,
                                                  boolean loginStrictCheck)
                                           throws ru.bitel.bgbilling.common.BGException,
                                                  ru.bitel.bgbilling.common.BGMessageException,
                                                  ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetServSaReinit

          void inetServSaReinit(int id)
                         throws ru.bitel.bgbilling.common.BGException,
                                ru.bitel.bgbilling.common.BGMessageException,
                                ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### ipResourceLinkCheck

          java.lang.String ipResourceLinkCheck()
                                        throws ru.bitel.bgbilling.common.BGException,
                                               ru.bitel.bgbilling.common.BGMessageException,
                                               ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### ipResourceLinkSet

          void ipResourceLinkSet()
                          throws ru.bitel.bgbilling.common.BGException,
                                 ru.bitel.bgbilling.common.BGMessageException,
                                 ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### inetGetIpFromParent

          byte[] inetGetIpFromParent(InetServ serv)
                              throws ru.bitel.bgbilling.common.BGException,
                                     ru.bitel.bgbilling.common.BGMessageException,
                                     ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`

    - #### authorizationRequest

          int authorizationRequest(int contractId,
                                   int servId,
                                   boolean accountingPeriodActivate,
                                   long timeout)
                            throws ru.bitel.bgbilling.common.BGException,
                                   ru.bitel.bgbilling.common.BGMessageException,
                                   ru.bitel.bgbilling.common.BGIllegalArgumentException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`